Package ru.bitel.bgbilling.kernel.module.common.bean

# Class User

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.module.common.bean.User

All Implemented Interfaces:
  `java.io.Serializable`, `GuiTitlable`, `Idable`, `ListItem`

    public class User
    extends IdTitle

See Also:
  Serialized Form

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static int` | `STATUS_DISABLE` |
  `static int` | `STATUS_ENABLE` |
  `static int` | `USER_CONTRACT` | Код пользователя Web-статитстики. Все действия производимые пользователем в Web-кабинете. К примеру генерация событий, смена тарифных планов и т.д.
  `static int` | `USER_SERVER` | Код пользователя - сервера. Все действия производимые сервером отмечаются этим кодом. К примеру генерация событий, смена стусов и т.д.

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `User()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.util.List<BGSAction>` | `getActionList()` | Данный список действий может быть пустым.
  `java.lang.String` | `getConfig()` |
  `Preferences` | `getConfigSetup()` | Конфиг из настроек юзера, всегда не null.
  `int` | `getContractCid()` |
  `long` | `getContractGroups()` |
  `int` | `getContractGroupsMode()` |
  `int` | `getContractPid()` |
  `java.lang.String` | `getContractTitle()` |
  `java.util.Calendar` | `getDate()` |
  `java.lang.String` | `getDescription()` |
  `java.util.Set<java.lang.Integer>` | `getDomainIds()` |
  `java.lang.String` | `getEmail()` |
  `java.lang.String` | `getLogin()` |
  `int` | `getMenuId()` |
  `java.lang.String` | `getName()` |
  `java.lang.String` | `getPassword()` |
  `int` | `getPersonalAction()` |
  `java.util.List<java.lang.String>` | `getRuleAccessContractParameter()` |
  `java.util.List<java.lang.String>` | `getRuleAccessObjectParameter()` |
  `int` | `getStatus()` |
  `java.lang.String` | `getStatusString()` |
  `java.util.List<java.lang.Integer>` | `getUserGroups()` |
  `boolean` | `isNeedChangePassword()` |
  `boolean` | `isShowActionsPermitErrors()` |
  `void` | `setActionList​(java.util.List<BGSAction> actionList)` |
  `void` | `setConfig​(java.lang.String config)` |
  `void` | `setContractCid​(int contractCid)` |
  `void` | `setContractGroups​(long contractGroups)` |
  `void` | `setContractGroupsMode​(int contractGroupsMode)` |
  `void` | `setContractPid​(int contractPid)` |
  `void` | `setContractTitle​(java.lang.String contractTitle)` |
  `void` | `setDate​(java.util.Calendar date)` |
  `void` | `setDescription​(java.lang.String description)` |
  `void` | `setDomainIds​(java.util.Set<java.lang.Integer> domains)` |
  `void` | `setEmail​(java.lang.String email)` |
  `void` | `setLogin​(java.lang.String login)` |
  `void` | `setMenuId​(int menuId)` |
  `void` | `setName​(java.lang.String name)` |
  `void` | `setNeedChangePassword​(boolean needChangePassword)` |
  `void` | `setPassword​(java.lang.String password)` |
  `void` | `setPersonalAction​(int personalAction)` |
  `void` | `setRuleAccessContractParameter​(java.util.List<java.lang.String> ruleAccessContractParameter)` |
  `void` | `setRuleAccessObjectParameter​(java.util.List<java.lang.String> ruleAccessObjectParameter)` |
  `void` | `setStatus​(int status)` |
  `void` | `setUserGroups​(java.util.List<java.lang.Integer> userGroups)` |

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Field Details

  - ### STATUS_ENABLE

    public static final int STATUS_ENABLE
    See Also:
      Constant Field Values

  - ### STATUS_DISABLE

    public static final int STATUS_DISABLE
    See Also:
      Constant Field Values

  - ### USER_SERVER

    public static final int USER_SERVER
    Код пользователя - сервера.
    Все действия производимые сервером отмечаются этим кодом.
    К примеру генерация событий, смена стусов и т.д.
    See Also:
      Constant Field Values

  - ### USER_CONTRACT

    public static final int USER_CONTRACT
    Код пользователя Web-статитстики.
    Все действия производимые пользователем в Web-кабинете.
    К примеру генерация событий, смена тарифных планов и т.д.
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### User

    public User()

- ## Method Details

  - ### getLogin

    public java.lang.String getLogin()

  - ### setLogin

    public void setLogin​(java.lang.String login)

  - ### getName

    public java.lang.String getName()

  - ### setName

    public void setName​(java.lang.String name)

  - ### getEmail

    public java.lang.String getEmail()

  - ### setEmail

    public void setEmail​(java.lang.String email)

  - ### getDescription

    public java.lang.String getDescription()

  - ### setDescription

    public void setDescription​(java.lang.String description)

  - ### getPassword

    public java.lang.String getPassword()

  - ### setPassword

    public void setPassword​(java.lang.String password)

  - ### isNeedChangePassword

    public boolean isNeedChangePassword()

  - ### setNeedChangePassword

    public void setNeedChangePassword​(boolean needChangePassword)

  - ### getDate

    public java.util.Calendar getDate()

  - ### setDate

    public void setDate​(java.util.Calendar date)

  - ### getStatus

    public int getStatus()

  - ### setStatus

    public void setStatus​(int status)

  - ### getContractGroups

    public long getContractGroups()

  - ### setContractGroups

    public void setContractGroups​(long contractGroups)

  - ### getContractGroupsMode

    public int getContractGroupsMode()

  - ### setContractGroupsMode

    public void setContractGroupsMode​(int contractGroupsMode)

  - ### getDomainIds

    public java.util.Set<java.lang.Integer> getDomainIds()

  - ### setDomainIds

    public void setDomainIds​(java.util.Set<java.lang.Integer> domains)

  - ### getRuleAccessObjectParameter

    public java.util.List<java.lang.String> getRuleAccessObjectParameter()

  - ### setRuleAccessObjectParameter

    public void setRuleAccessObjectParameter​(java.util.List<java.lang.String> ruleAccessObjectParameter)

  - ### getRuleAccessContractParameter

    public java.util.List<java.lang.String> getRuleAccessContractParameter()

  - ### setRuleAccessContractParameter

    public void setRuleAccessContractParameter​(java.util.List<java.lang.String> ruleAccessContractParameter)

  - ### getUserGroups

    public java.util.List<java.lang.Integer> getUserGroups()

  - ### setUserGroups

    public void setUserGroups​(java.util.List<java.lang.Integer> userGroups)

  - ### getContractPid

    public int getContractPid()

  - ### setContractPid

    public void setContractPid​(int contractPid)

  - ### getContractCid

    public int getContractCid()

  - ### setContractCid

    public void setContractCid​(int contractCid)

  - ### getConfig

    public java.lang.String getConfig()

  - ### setConfig

    public void setConfig​(java.lang.String config)

  - ### getStatusString

    public java.lang.String getStatusString()

  - ### getActionList

    public java.util.List<BGSAction> getActionList()
    Данный список действий может быть пустым. Так как при получении user-ов списком, с целью оптимизации, эти данные не грузяться, а должны запрашивать отдельным запросом.

  - ### setActionList

    public void setActionList​(java.util.List<BGSAction> actionList)

  - ### getContractTitle

    public java.lang.String getContractTitle()

  - ### setContractTitle

    public void setContractTitle​(java.lang.String contractTitle)

  - ### getConfigSetup

    public Preferences getConfigSetup()
    Конфиг из настроек юзера, всегда не null.

  - ### isShowActionsPermitErrors

    public boolean isShowActionsPermitErrors()

  - ### getPersonalAction

    public int getPersonalAction()

  - ### setPersonalAction

    public void setPersonalAction​(int personalAction)

  - ### getMenuId

    public int getMenuId()

  - ### setMenuId

    public void setMenuId​(int menuId)